issue when upgrading ruby 1.9.3

asked 2015-08-20 20:32:27 -0600

Chutki gravatar image

Hi,

I want to upgrade ruby from 1.8.7 to 1.9.3, using rvm install.

Upgrading to support "puppetlabsspechelper" gem for rspec-test, since this will only support if ruby 1.9.3 present.

Getting below error when installing

]# rvm reinstall ruby-1.9.3-p551
ruby-1.9.3-p551 - #removing src/ruby-1.9.3-p551..
ruby-1.9.3-p551 - #removing rubies/ruby-1.9.3-p551..
Searching for binary rubies, this might take some time.
No binary rubies available for: redhat/6/x86_64/ruby-1.9.3-p551.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for redhat.
Requirements installation successful.
Installing Ruby from source to: /usr/local/rvm/rubies/ruby-1.9.3-p551, this may take a while depending on your
ruby-1.9.3-p551 - #downloading ruby-1.9.3-p551, this may take a while depending on your connection...
ruby-1.9.3-p551 - #extracting ruby-1.9.3-p551 to /usr/local/rvm/src/ruby-1.9.3-p551....
ruby-1.9.3-p551 - #applying patch /usr/local/rvm/patches/ruby/GH-488.patch.
ruby-1.9.3-p551 - #applying patch /usr/local/rvm/patches/ruby/1.9.3/CVE-2015-1855-p484.patch.
ruby-1.9.3-p551 - #applying patch /usr/local/rvm/patches/ruby/ssl_no_ec2m.patch.
ruby-1.9.3-p551 - #configuring.............................................
ruby-1.9.3-p551 - #post-configuration..
ruby-1.9.3-p551 - #compiling...................................................................
ruby-1.9.3-p551 - #installing........................
ruby-1.9.3-p551 - #making binaries executable..
curl: (28) connect() timed out!
There was an error while trying to resolve rubygems version for 'latest'.
Halting the installation.

I enabled proxy by "export http_proxy" and doing "rvm install 1.9.3"

I tried ruby rpm installation as well (downloded ruby 1.9.3 rpm package), but throwing one or the other dependency error.

Can someone help me on this I am breaking my head for last two days

edit retag flag offensive close merge delete

Comments

any update on this?

Chutki gravatar imageChutki ( 2015-08-21 14:14:44 -0600 )edit

This is an rvm problem, not a Puppet problem. You may have better luck asking in RVM support channels.

ramindk gravatar imageramindk ( 2015-08-21 15:37:04 -0600 )edit